Activity log for bug #509577

Date Who What changed Old value New value Message
2010-01-19 10:59:04 David Jensen bug added bug
2010-05-31 10:25:46 Maurits van Rees singing-dancing: status New Fix Committed
2010-06-11 21:45:50 Maurits van Rees singing-dancing: status Fix Committed Fix Released